• \[SOLVED\] Cnchi: can't download the necessary packages


    It seems every time I try to install Antergos on a machine, cnchi decides to make my life extremely complicated… it’s a shame, as in the past it was just the opposite and every installation used to be smooth and trouble free.

    Today, after booting from the latest ISO, installing git and running cnchi-dev, I went through the usual installation options and then cnchi failed with the message “Can’t install necessary packages. Cnchi can’t continue”.

    The log looked like this:

    [2014-11-03 07:06:16] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-11-03 07:06:16] [process.py] ERROR: Can't download all necessary packages. Cnchi will continue and try again this download later.  
    [2014-11-03 07:06:16] [process.py] DEBUG: Installing packages...  
    [2014-11-03 07:06:16] [pac.py] DEBUG: Cnchi will install a list of packages like pacman -S  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-keyring'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-mirrorlist'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-wallpapers'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'libreoffice-installer'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-greeter'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-theme-antergos'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-frost-themes'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-icon-theme'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-icon-theme-square'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'pacmanxg4'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-gnome-defaults-list'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'gnome-shell-extension-dash-to-dock'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'gnome-shell-extension-lockscreen-lightdm'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'yaourt'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'ttf-google-fonts'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called ''  
    (...)  
    [2014-11-03 07:06:17] [pac.py] DEBUG: Finalize transaction...  
    [2014-11-03 07:06:17] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-11-03 07:06:17] [process.py] ERROR: Can't install necessary packages. Cnchi can't continue.  
    [2014-11-03 07:06:45] [slides.py] INFO: Installing using the 'advanced' method. Please wait...  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating core database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating extra database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating community database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating multilib database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating antergos database  
    [2014-11-03 07:06:45] [slides.py] INFO: Copying xz files from cache...  
    [2014-11-03 07:06:45] [show\_message.py] ERROR: Can't install necessary packages. Cnchi can't continue.
    

    I tried again and again, changing mirrors and updating each time (network is up and working fine), but it simply refuses to work.

    I really hope in the future you’ll release a working ISO without the need to go through the various steps to make cnchi-dev cooperate…

  • It seems every time I try to install Antergos on a machine, cnchi decides to make my life extremely complicated… it’s a shame, as in the past it was just the opposite and every installation used to be smooth and trouble free.

    Today, after booting from the latest ISO, installing git and running cnchi-dev, I went through the usual installation options and then cnchi failed with the message “Can’t install necessary packages. Cnchi can’t continue”.

    The log looked like this:

    [2014-11-03 07:06:16] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-11-03 07:06:16] [process.py] ERROR: Can't download all necessary packages. Cnchi will continue and try again this download later.  
    [2014-11-03 07:06:16] [process.py] DEBUG: Installing packages...  
    [2014-11-03 07:06:16] [pac.py] DEBUG: Cnchi will install a list of packages like pacman -S  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-keyring'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-mirrorlist'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-wallpapers'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'libreoffice-installer'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-greeter'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'lightdm-webkit-theme-antergos'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-frost-themes'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-icon-theme'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'numix-icon-theme-square'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'pacmanxg4'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'antergos-gnome-defaults-list'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'gnome-shell-extension-dash-to-dock'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'gnome-shell-extension-lockscreen-lightdm'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'yaourt'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called 'ttf-google-fonts'  
    [2014-11-03 07:06:17] [pac.py] ERROR: Can't find a package or group called ''  
    (...)  
    [2014-11-03 07:06:17] [pac.py] DEBUG: Finalize transaction...  
    [2014-11-03 07:06:17] [pac.py] ERROR: Traceback (most recent call last):  
    File "/usr/share/cnchi/src/pacman/pac.py", line 76, in finalize  
    t.prepare()  
    alpm.error: transaction preparation failed, pm\_errno 15 (could not find database), []  
      
    [2014-11-03 07:06:17] [process.py] ERROR: Can't install necessary packages. Cnchi can't continue.  
    [2014-11-03 07:06:45] [slides.py] INFO: Installing using the 'advanced' method. Please wait...  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating core database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating extra database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating community database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating multilib database  
    [2014-11-03 07:06:45] [slides.py] INFO: Updating antergos database  
    [2014-11-03 07:06:45] [slides.py] INFO: Copying xz files from cache...  
    [2014-11-03 07:06:45] [show\_message.py] ERROR: Can't install necessary packages. Cnchi can't continue.
    

    I tried again and again, changing mirrors and updating each time (network is up and working fine), but it simply refuses to work.

    I really hope in the future you’ll release a working ISO without the need to go through the various steps to make cnchi-dev cooperate…

  • UPDATE: I decided to try the ISO installer as is, without updating cnchi or changing anything, and it seemed to work.

    Looking through the log, however, I found the following errors:

    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'intel-dri'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'lib32-intel-dri'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-calc'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-common'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-gnome'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-impress'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-writer'  
    [2014-11-03 07:25:21] [pac.py] ERROR: Can't find a package or group called 'libreoffice-en-US'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'intel-dri'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'lib32-intel-dri'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-calc'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-common'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-gnome'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-impress'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-writer'  
    [2014-11-03 07:34:50] [pac.py] ERROR: Can't find a package or group called 'libreoffice-en-US'
    

    What should I do? I worry about the missing intel-dri and lib32-intel-dri in particular…

  • Hey hello einarth,

    It looks to be an issue with one of the mirrors. Try editing /etc/pacman.d/antergos-mirrorlist and select a different mirror by making it the only one that doesn’t have a hashtag in front (#). Then run sudo pacman -Syy and restart Cnchi Installer.

    Cheers…

  • I’ve just tried with the NL mirror (only) in both antergos-mirrorlist and mirrolist, updated, rerun cnchi, and got the same missing packages (intel-dri, lib32-intel-dri, libreoffice). Then I rebooted and tried the DE mirror, and got the same result. Tried with both cnchi and cnchi-dev.

  • Well, it looks like cnchi-dev is overwriting the mirrorlists, so I tried again one last time:

    1. after the live installer started, I edited mirrorlist and antergos-mirrorlist as per Michael’s suggestion (thanks BTW) and did pacman -Syy

    2. this time, instead of running cnchi-dev I did the following:
    cd /usr/share
    sudo mv cnchi cnchi.old
    sudo git clone [http://github.com/antergos/cnchi.git][0]">[http://github.com/antergos/cnchi.git][1] cnchi
    sudo -E cnchi -dv -p /usr/share/cnchi/data/packages.xml

    and at last it worked! No errors reported in cnchi.log.

    [0]: <a href=
    [1]: http://github.com/antergos/cnchi.git

  • @“einarth”:2b0mstap said:

    I’ve just tried with the NL mirror (only) in both antergos-mirrorlist and mirrolist, updated, rerun cnchi, and got the same missing packages (intel-dri, lib32-intel-dri, libreoffice). Then I rebooted and tried the DE mirror, and got the same result. Tried with both cnchi and cnchi-dev.[/quote:2b0mstap]

    It makes me remember, when I installed Antergos using Cnchi, I was almost sure I chosed libreoffice as well, but after it finished, there is no libreoffice at all in my system. But since I am not 100% sure that I chose libreoffice package, and have no problems installed it latter, I let this one slide ~ perhaps it was my mistake.

    Asus X201EP | Intel Celeron 2x 1.10 GHz | 4 GB DDR3 RAM | Antergos 64-Bit.

  • I had to add one prior step to make your process work…

    sudo pacman -Syy git

    @“einarth”:2i8iw9yz said:

    2. this time, instead of running cnchi-dev I did the following:
    cd /usr/share
    sudo mv cnchi cnchi.old
    sudo git clone [http://github.com/antergos/cnchi.git][0]">[http://github.com/antergos/cnchi.git][1] cnchi
    sudo -E cnchi -dv -p /usr/share/cnchi/data/packages.xml[/quote:2i8iw9yz]

    Then Cnchi 6.16 gui!
    Thanks

    [0]: <a href=
    [1]: http://github.com/antergos/cnchi.git

  • I tried the above steps but that did not solve my issue. After looking at /tmp/cnchi.log it appears to fail at [pac.py] ERROR: Can’t find a package or group called ‘’ which is quite odd. Here is a full look at my log.

    [https://gist.github.com/anonymous/c71ded22e714bff953d7][0]">[https://gist.github.com/anonymous/c71ded22e714bff953d7][1]

    [0]: <a href=
    [1]: https://gist.github.com/anonymous/c71ded22e714bff953d7

Posts 9Views 5388
Log in to reply